Subject: [precis] U+1E9B

From: "Joe Hildebrand (jhildebr)" <[email-masked]>
Date: Wed, 30 Jul 2014 18:56:52 +0000

I get FREE_PVAL instead of PVALID as is in the table in precis-framework.
I think this is because I was following the letter of section 7.17
HasCompat (Q), which says:

Q: toNFKC(cp) != cp

If you just look at the decomposition for U+1E9B, you see that it has a
canonical decomposition.  However, one of *those* codepoints has a
compatible decomposition, so NFKC(U+1E98) is U+1E61, which doesn't match
U+1E98 (note: NFC(U+1E98) = U+1E98 for the pre-input transform).

This brings up another point with rule Q; I hope it gets the same results
if the input was NFD'd instead of NFC'd.  I think it should but I haven't
run the numbers to prove it.

-- 
Joe Hildebrand